package com.fr.plugin;

import com.fr.decision.fun.HttpHandler;
import com.fr.decision.fun.impl.AbstractHttpHandlerProvider;
import com.fr.plugin.http.*;
import com.fr.plugin.http.API.API_ADD;
import com.fr.plugin.http.API.API_DEL;
import com.fr.plugin.http.API.API_SEL;
import com.fr.plugin.http.API.API_UPD;
import com.fr.plugin.transform.FunctionRecorder;

@FunctionRecorder
public class MyHttpProvider extends AbstractHttpHandlerProvider
{
    @Override
    public HttpHandler[] registerHandlers()
    {
        return new HttpHandler[]
                {
                        new API_ADD(),
                        new API_DEL(),
                        new API_SEL(),
                        new API_UPD(),
                        new Data_Add(),
                        new Data_Del(),
                        new Data_Sel(),
                        new Data_Modify(),
                        new UI_Config(),
                        new getToken()
                };
    }
}
