package com.fr.plugin;

import com.fr.decision.fun.impl.AbstractSystemOptionProvider;
import com.fr.decision.web.MainComponent;
import com.fr.web.struct.Atom;

public class MyIPTokenOptionProvider extends AbstractSystemOptionProvider {

    @Override
    public String id()
    {
        return "IPToken_1";
    }

    @Override
    public String displayName()
    {
        return "IPToken配置";
    }

    @Override
    public int sortIndex()
    {
        return 0;
    }

    @Override
    public Atom attach()
    {
        return MainComponent.KEY;
    }

    @Override
    public Atom client()
    {
        // return MyComponent.KEY;
        return MyIPTokenComponent.KEY;
    }
}
